Line length: Fix recent merges
[csit.git] / resources / libraries / bash / function / per_patch.sh
index b5bac78..4af3302 100644 (file)
@@ -1,4 +1,5 @@
-# Copyright (c) 2018 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
+# Copyright (c) 2021 PANTHEON.tech s.r.o.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
@@ -73,6 +74,8 @@ function build_vpp_ubuntu_amd64 () {
     # Arguments:
     # - ${1} - String identifier for echo, can be unset.
     # Variables read:
+    # - MAKE_PARALLEL_FLAGS - Make flags when building VPP.
+    # - MAKE_PARALLEL_JOBS - Number of cores to use when building VPP.
     # - VPP_DIR - Path to existing directory, parent to accessed directories.
     # Directories updated:
     # - ${VPP_DIR} - Whole subtree, many files (re)created by the build process.
@@ -82,7 +85,18 @@ function build_vpp_ubuntu_amd64 () {
     set -exuo pipefail
 
     cd "${VPP_DIR}" || die "Change directory command failed."
-    make UNATTENDED=y pkg-verify || die "VPP build using make pkg-verify failed."
+    if [ -n "${MAKE_PARALLEL_FLAGS-}" ]; then
+        echo "Building VPP. Number of cores for build set with" \
+             "MAKE_PARALLEL_FLAGS='${MAKE_PARALLEL_FLAGS}'."
+    elif [ -n "${MAKE_PARALLEL_JOBS-}" ]; then
+        echo "Building VPP. Number of cores for build set with" \
+             "MAKE_PARALLEL_JOBS='${MAKE_PARALLEL_JOBS}'."
+    else
+        echo "Building VPP. Number of cores not set, " \
+             "using build default ($(grep -c ^processor /proc/cpuinfo))."
+    fi
+
+    make UNATTENDED=y pkg-verify || die "VPP build with make pkg-verify failed."
     echo "* VPP ${1-} BUILD SUCCESSFULLY COMPLETED" || {
         die "Argument not found."
     }
@@ -109,47 +123,15 @@ function compare_test_results () {
 
     cd "${VPP_DIR}" || die "Change directory operation failed."
     # Reusing CSIT main virtualenv.
-    pip install -r "${PYTHON_SCRIPTS_DIR}/perpatch_requirements.txt" || {
-        die "Perpatch Python requirements installation failed."
-    }
-    python "${PYTHON_SCRIPTS_DIR}/compare_perpatch.py"
+    python3 "${TOOLS_DIR}/integrated/compare_perpatch.py"
     # The exit code determines the vote result.
 }
 
 
-function download_builds () {
-
-    # This is mostly useful only for Sandbox testing, to avoid recompilation.
-    #
-    # Arguments:
-    # - ${1} - URL to download VPP builds from.
-    # Variables read:
-    # - VPP_DIR - Path to WORKSPACE, parent of created directories.
-    # Directories created:
-    # - archive - Ends up empty, not to be confused with ${ARCHIVE_DIR}.
-    # - build_current - Holding built artifacts of the patch under test (PUT).
-    # - built_parent - Holding built artifacts of parent of PUT.
-    # Functions called:
-    # - die - Print to stderr and exit, defined in common.sh
+function initialize_csit_dirs () {
 
     set -exuo pipefail
 
-    cd "${VPP_DIR}" || die "Change directory operation failed."
-    dirs=("build-root" "build_parent" "build_current" "archive" "csit_current")
-    rm -rf ${dirs[@]} || {
-        die "Directory removal failed."
-    }
-    wget -N --progress=dot:giga "${1}" || die "Wget download failed."
-    unzip "archive.zip" || die "Archive extraction failed."
-    mv "archive/build_parent" ./ || die "Move operation failed."
-    mv "archive/build_current" ./ || die "Move operation failed."
-}
-
-
-function initialize_csit_dirs () {
-
-    # This could be in prepare_test, but download_builds also needs this.
-    #
     # Variables read:
     # - VPP_DIR - Path to WORKSPACE, parent of created directories.
     # Directories created: